net.i2p.client

## Class I2PSimpleClient

- java.lang.Object
- - net.i2p.client.I2PSimpleClient

- All Implemented Interfaces:
    I2PClient

      public class I2PSimpleClient
      extends Object
      implements I2PClient

  Simple client implementation with no Destination, just used to talk to the router.

- - ### Field Summary

    - ### Fields inherited from interface net.i2p.client.I2PClient

      `DEFAULT_LISTEN_PORT, DEFAULT_SIGTYPE, PROP_ENABLE_SSL, PROP_FAST_RECEIVE, PROP_GZIP, PROP_PW, PROP_RELIABILITY, PROP_RELIABILITY_BEST_EFFORT, PROP_RELIABILITY_GUARANTEED, PROP_RELIABILITY_NONE, PROP_SIGTYPE, PROP_TCP_HOST, PROP_TCP_PORT, PROP_USER, PROTOCOL_BYTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PSimpleClient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `I2PSession` | `createSession(I2PAppContext context, Properties options)` Create a new session (though do not connect it yet)
    `I2PSession` | `createSession(InputStream destKeyStream, Properties options)` Create a new session (though do not connect it yet)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.i2p.client.I2PClient

      `createDestination, createDestination, createDestination`

- - ### Constructor Detail

    - #### I2PSimpleClient

          public I2PSimpleClient()

  - ### Method Detail

    - #### createSession

          public I2PSession createSession(I2PAppContext context,
                                          Properties options)
                                   throws I2PSessionException

      Create a new session (though do not connect it yet)
      Throws:
        `I2PSessionException`

    - #### createSession

          public I2PSession createSession(InputStream destKeyStream,
                                          Properties options)
                                   throws I2PSessionException

      Create a new session (though do not connect it yet)
      Specified by:
        `createSession` in interface `I2PClient`
      Parameters:
        `destKeyStream` - location from which to read the Destination, PrivateKey, and SigningPrivateKey from, format is specified in `PrivateKeyFile`
        `options` - set of options to configure the router with, if null will use System properties
      Returns:
        new session allowing a Destination to receive all of its messages and send messages to any other Destination.
      Throws:
        `I2PSessionException` - if there is a problem creating the session